<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:08:40 PST 2017 -->
<title>xdc.services.getset</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="xdc.services.getset";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/getset/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Package</li>
<li>Next Package</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/getset/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;xdc.services.getset</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../xdc/services/getset/AutoFxn.html" title="class in xdc.services.getset">AutoFxn</a></td>
<td class="colLast">
<div class="block">A <a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset"><code>Fxn</code></a> that automatically determines its own inputs and outputs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../xdc/services/getset/Field.html" title="class in xdc.services.getset">Field</a></td>
<td class="colLast">
<div class="block">An immutable object that identifies a specific field of a specific
 XDCscript object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></td>
<td class="colLast">
<div class="block">A scheduled function in a Group.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../xdc/services/getset/GetSet.html" title="class in xdc.services.getset">GetSet</a></td>
<td class="colLast">
<div class="block">A helper class to add getters and setters to a field of an XDCscript
 object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../xdc/services/getset/GetSetData.html" title="class in xdc.services.getset">GetSetData</a></td>
<td class="colLast">
<div class="block">Private data for the getters and setters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../xdc/services/getset/Getters.html" title="class in xdc.services.getset">Getters</a></td>
<td class="colLast">
<div class="block">A getter function to be added to a field of an XDCscript
 Value.Obj object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></td>
<td class="colLast">
<div class="block">A group of <a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset"><code>Fxn</code></a>s that are each run to completion before any other
 Fxn in the group.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../xdc/services/getset/Scheduler.html" title="class in xdc.services.getset">Scheduler</a></td>
<td class="colLast">
<div class="block">Schedules execution of Fxns and Groups.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../xdc/services/getset/Setters.html" title="class in xdc.services.getset">Setters</a></td>
<td class="colLast">
<div class="block">A setter function to be added to a field of an XDCscript
 Value.Obj object.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/getset/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Package</li>
<li>Next Package</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/getset/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
